Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Comp_File_Handler Class Reference

This DocHandler handles the "componentfiles" tag. More...

`#include <Assembly_Handlers.h>`

Inheritance diagram for CIAO::Comp_File_Handler:

[legend]
Collaboration diagram for CIAO::Comp_File_Handler:

[legend]
List of all members.

## Public Types
enum | CF_States { START }
## Public Methods
| Comp_File_Handler (Assembly_Spec *spec, ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| Constructor.
virtual | ~Comp_File_Handler ()
| Destructor.
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Attributes
long | element_count_
Assembly_Spec * | context_
ACE_CString | id_
ACE_CString | fileinarchive_
CF_States | state_

## Detailed Description

This DocHandler handles the "componentfiles" tag.

## Member Enumeration Documentation

enum CIAO::Comp_File_Handler::CF_States

  | Enumeration values:
  START |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Comp_File_Handler::Comp_File_Handler | ( | Assembly_Spec * | spec,
|  | ACEXML_XMLReader * | parser,
|  | CIAO::XMLHelpers::Cascadable_DocHandler * | parent,
|  | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Constructor.

ACE_INLINE CIAO::Comp_File_Handler::~Comp_File_Handler | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void CIAO::Comp_File_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element.

void CIAO::Comp_File_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element.

## Member Data Documentation

Assembly_Spec* CIAO::Comp_File_Handler::context_`[protected]`

long CIAO::Comp_File_Handler::element_count_`[protected]`

ACE_CString CIAO::Comp_File_Handler::fileinarchive_`[protected]`

ACE_CString CIAO::Comp_File_Handler::id_`[protected]`

CF_States CIAO::Comp_File_Handler::state_`[protected]`

The documentation for this class was generated from the following files:

- Assembly_Handlers.h
- Assembly_Handlers.cpp
- Assembly_Handlers.inl